[RISOLTO] synaptic packet... si chiude sempre

35 contenuti / 0 new
Ultimo contenuto
Ritratto di gian642
Offline
Last seen: 4 anni 7 mesi fa
Iscritto: 15/03/2008 - 18:49
[RISOLTO] synaptic packet... si chiude sempre

cia a tutti sono giancarlo,
ho installato la fullmonty 2012,è bella ma ho alcuni problemi post installazione:
vorrei installare la lingua italiana,ho letto il post già aperto sul forum,devo dire che ho fatto un primo aggiornamento usando i server di default,poi letto il post,sono passato al garr di napoli,cmq synaptic non aggiorna tre pacchetti,(che non capisco cosa hanno a che fare con la lingua):
kdelive
openshot
texmaker
quando clicco per aggiornarli synaptic si chiude immediatamente
provando con localization manager,mi dice sempre che serve aggiornare il sistema questo il log:

Reading Package Lists...
Building Dependency Tree...
The following packages will be upgraded
kdenlive (0.8.2-1pclos2011 => 0.9.2-1pclos2012)
openshot (1.4.2-1pclos2012 => 1.4.3-1pclos2012)
texmaker (3.5-1pclos2012 => 3.5.1-1pclos2012)
3 upgraded, 0 newly installed, 0 removed and 0 not upgraded.
Inst kdenlive [0.8.2-1pclos2011] (0.9.2-1pclos2012 Unknown:Unknown/Unknown)
Inst openshot [1.4.2-1pclos2012] (1.4.3-1pclos2012 Unknown:Unknown/Unknown)
Inst texmaker [3.5-1pclos2012] (3.5.1-1pclos2012 Unknown:Unknown/Unknown)
Conf kdenlive (0.9.2-1pclos2012 Unknown:Unknown/Unknown)
Conf openshot (1.4.3-1pclos2012 Unknown:Unknown/Unknown)
Conf texmaker (3.5.1-1pclos2012 Unknown:Unknown/Unknown)

Poi ho problemi con lo scanner ma questo è altra cosa....
qualcuno sa aiutarmi?

ciao buon week a tutti gian

Ritratto di zafran
Offline
Last seen: 3 mesi 6 giorni fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Ma se rifai l'aggiornamento il messaggio è tutto uguale?
Altri pacchetti sono andati a buon fine o non c'erano altri aggiornamenti oltre a quei tre?
La questione del cambio da kde4 a kde è a posto?

Ritratto di gian642
Offline
Last seen: 4 anni 7 mesi fa
Iscritto: 15/03/2008 - 18:49

ciao Zafran,grazie,
No,non parte proprio l'aggiornamento perchè synaptic si chiude immediatamente,tutti gli altri pacchetti sono andati a termine bene,quelli citati non funzionano anche dai server di default.
Il garr na funziona perchè ho installato avidemux e ha funzionato correttamente,la iso che uso è la 2012 che mi pare sia già stato corretto il problema kde4...
grazie ciao

Ritratto di monsee
Offline
Last seen: 2 mesi 1 settimana fa
Moderatore
Iscritto: 16/09/2009 - 12:34

No, il "problema kde4" non mi consta fosse stato già risolto quando è stata fatta la ISO che hai usato per l'installazione.
Verifica che sia scritto
kde
in luogo di
kde4
nella "descrizione" del Repository.

Ritratto di bebolinux
Offline
Last seen: 5 anni 8 mesi fa
Iscritto: 10/12/2008 - 22:27

ho provato ad installare openshot ed anche a me da lo stesso problema...
Synaptic si chiude , mentre apt-get install dice di no trovare il pacchetto.

Ho cambiato repository e l'installazione ha funzionato.

-Ho disattivato i repository http://na.mirror.garr.it/mirrors/pclinuxos/apt/
- abilitato http://ftp.sh.cvut.cz pclinuxos/2010/updates ,
- corretto kde4 in kde.

Probabilmente c'è qualche problema nell'aggiornamento dei repository che normalmente
si risolve dopo qualche giorno.

Ritratto di francesco bat
Offline
Last seen: 1 anno 11 mesi fa
Iscritto: 20/11/2011 - 02:46

Non solo.
Trovo strano l'aggiornamento di kdenlive.
Ce l'ho anche io ma non ho alcuna proposta di aggiornamento a riguardo.
Non è che hai abilitato qualche repository test ?
Ciao
Francesco bat

Ritratto di francesco bat
Offline
Last seen: 1 anno 11 mesi fa
Iscritto: 20/11/2011 - 02:46

Potrebbe anche essere che ci sia un problema con i server.
Non so se è la stessa cosa ma nel forum americano è stato evidenziato un problema simile che dovrebbe essere risolto a breve:
http://www.pclinuxos.com/forum/index.php/topic,110717.0.html

Ritratto di gian642
Offline
Last seen: 4 anni 7 mesi fa
Iscritto: 15/03/2008 - 18:49

grazie a tutti,
confermo,il link garr na è corretto ma mi fa chiudere synaptic,ho provato http://ftp.sh.cvut.cz pclinuxos/2010/updates come consigliato da bebolinux,ha trovato solo due file da aggiornare:
kdenlive (0.8.2-1pclos2011 => 0.9.2-1pclos2012)
openshot (1.4.2-1pclos2012 => 1.4.3-1pclos2012)
che ha eseguito correttamente.
Ora il sistema è aggiornato,ma mi serve capire come installare la lingua italiana,ho riprovato con localization manager,adesso cerca e installa aggiornamenti e mi da un errore,questo è il log:

Reading Package Lists...
Building Dependency Tree...
Some packages could not be installed. This may mean that you have
requested an impossible situation or that some of the repositories
in use are in an inconsistent state at the moment.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
firefox-it: Depends: firefox (= 16.0.1)
E: Broken packages

mi sembra di capire che riguarda problemi con firefox,ma questo non dovrebbe dare problemi con la lingua di sistema credo..

ciao grazie

Ritratto di monsee
Offline
Last seen: 2 mesi 1 settimana fa
Moderatore
Iscritto: 16/09/2009 - 12:34

Il Sistema non risulta completamente aggiornato. Si deve a questo, se non ti vien consentita la localizzazione.
Puoi controllare quali pacchetti ti mancano perchè il tuo Sistema sia completamente aggiornato? (e poi dircelo, naturalmente)

Ritratto di zafran
Offline
Last seen: 3 mesi 6 giorni fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Per scrupolo ho aggiornato tutto e reinstallato firefox da na garr firefox-16.0.2-1pclos2012.i586
ed è andato tutto bene.

Ritratto di ernstfree
Offline
Last seen: 5 anni 5 mesi fa
Iscritto: 09/08/2011 - 16:02

monsee wrote:
No, il "problema kde4" non mi consta fosse stato già risolto quando è stata fatta la ISO che hai usato per l'installazione.
Verifica che sia scritto
kde
in luogo di
kde4
nella "descrizione" del Repository.

Solo per precisazione,
a mio parere "il problema kde4" è risolto da tempo! ... basta avere il pacchetto "apt-sources-list" (che si occupa proprio di applicare modifiche alle repository) che peraltro mi pare di default nelle nuove intallazioni. In ogni caso, come ho già detto in altri post, io non ho mai modificato a mano la denominazione delle repo, si è sempre arrangiato da solo ...

Ritratto di monsee
Offline
Last seen: 2 mesi 1 settimana fa
Moderatore
Iscritto: 16/09/2009 - 12:34

Non so davvero a quali ISO di installazione esattamente tu ti riferisca. Posso solo presumere che tu ti riferisca alla più recente versione della ISO relativa a PCLinuxOS KDE (che io non uso e del quale, di conseguenza, non so dire niente).

Ritratto di gian642
Offline
Last seen: 4 anni 7 mesi fa
Iscritto: 15/03/2008 - 18:49

ciao e grazie a tutti,
Allora preciso alcune cose così le mettiamo da parte:
la iso che sto usando è la kde full monty 2012.09 scaricata dal mirror italiano
questo è la dicitura del garr na:
http://na.mirror.garr.it/mirrors/pclinuxos/apt/
pc linux 2010
main updates nonfree kde games xfce4

con questo server e con altri due server che ho provato ad usare se provo ad aggiornare o reinstallare il pacchetto "textmaker"(solo questo)synaptic crasha immediatamente.
se provo con quello consigliato da bebolinux http://ftp.sh.cvut.cz pclinuxos/2010/updates si installa correttamente.

Adesso synaptic mi dice che il sistema è aggiornato.
se provo a mettere la lingua italiana con localization manager da sempre l'errore che ho postato sopra che riguarda firefox,per il quale non conosco la soluzione ma che credo non centra con la lingua italiana.
mi sapete dire come devo procedere per installarla?
grazie a tutti gian

Ritratto di francesco bat
Offline
Last seen: 1 anno 11 mesi fa
Iscritto: 20/11/2011 - 02:46

Se non erro Firefox dovrebbe già essere impostato per l'italiano, quindi dovresti solo attivarlo.
Per attivarlo dovresti andare nel menu modifica di Firefox e "preferenze" (in inglese non mi ricordo come è scritto).
Da qui devi stare nella scheda "generale" e cliccare su "gestisci componenti aggiuntivi" (sempre il fatto che in inglese non so come sarà scritto); da qui scegli la lingua italiana e riavvii Firefox.
Così dovrebbe andare.
Ciao
Francesco bat

Ritratto di bebolinux
Offline
Last seen: 5 anni 8 mesi fa
Iscritto: 10/12/2008 - 22:27

ho dato un'occhiata allo script di addlocale e se leggo bene
addlocale non scarica i pacchetti dai repositori impostati in synaptic, ma da
http://distro.ibiblio.org/pclinuxos/pclinuxos/apt/pclinuxos/2010/RPMS
Perciò se i repository di distro.ibiblio.org sono corrotti come quelli di garr.na l'installazione non va a buon fine.
Ho provato ad impostare synaptic su ibiblio e sembrerebbe tutto OK.
Dal tuo problema
firefox-it: Depends: firefox (= 16.0.1)
sembrerebbe che firefox-it (la lingua italiana di firefox) sia per la versione 16.0.1, mentre il programma firefox sia di versione diversa. Questo può essere causato dal fatto che i repository
da cui scarichiamo hanno avuto un problema di sincronizzazione e hanno un pò di pacchetti aggiornati ed un pò no. (vedi problema per openshot e kdenlive)
E' gia capitato in passato, problema che si è poi risolto in qualche giorno.
Io aspetterei qualche giorno a localizzare .
ciao

Ritratto di gian642
Offline
Last seen: 4 anni 7 mesi fa
Iscritto: 15/03/2008 - 18:49

per lingua italiana intendo quella del sistema,per firefox è marginale....
grazie

Ritratto di monsee
Offline
Last seen: 2 mesi 1 settimana fa
Moderatore
Iscritto: 16/09/2009 - 12:34

gian642 wrote:
a iso che sto usando è la kde full monty

Desktop KDE, dunque. Son le versioni che non seguo più, sin dal 2009 (essenzialmente, proprio non mi piace la versione 4 di KDE). Di conseguenza, non son certo aggiornato su di esse, da qui la mia imprecisione. Abbi pazienza e scusa.
Rimane la questione di quali pacchetti del Sistema tu abbia ancora da aggiornare.
Dovresti dirci di quali si tratta, dopo di che potremo risolver la cosa e passare alla "localizzazione" (in lingua italiana) del tuo Sistema.

Ritratto di ernstfree
Offline
Last seen: 5 anni 5 mesi fa
Iscritto: 09/08/2011 - 16:02

monsee wrote:
Non so davvero a quali ISO di installazione esattamente tu ti riferisca. Posso solo presumere che tu ti riferisca alla più recente versione della ISO relativa a PCLinuxOS KDE (che io non uso e del quale, di conseguenza, non so dire niente).

Certo, l'installazione del pacchetto di aggiornamento delle repo era consigliato da synaptic tempo fa (leggendo le informazioni standard del pacchetto mi sembrava chiaro che andasse installato), poi le ultime iso di KDE lo comprendono (almeno mi pare) o comunque basta installarlo e lui si occupa delle rettifiche nel tempo delle repo. io non ho mai messo mano a nulla e tutto funziona perfettamente ... (parlo di almento 7-8 installazioni a persone diverse).

Ritratto di gian642
Offline
Last seen: 4 anni 7 mesi fa
Iscritto: 15/03/2008 - 18:49

Chiedo scusa a tutti,forse non riesco proprio a spiegarmi,il sistema adesso è aggiornato completamente punto. Come procedo per portarlo dall'inglese all'italiano?

Ritratto di monsee
Offline
Last seen: 2 mesi 1 settimana fa
Moderatore
Iscritto: 16/09/2009 - 12:34

Devi lanciare il Localization Manager (clicca sull'iconetta relata e, alla richiesta, fornisci la password di root).
Funzionerà tutto benissimo... se il tuo Sistema è per davvero aggiornato.
... ma, il programma si bloccherà e ti apparirà un messaggio al riguardo, se accade, invece, che anche un solo pacchetto presente sul tuo Sistema abbia bisogno di venire aggiornato.
In questo caso, vai a guardare quali pacchetti hanno bisogno d'essere aggiornati (nel messaggio d'errore che ti apparirà c'è scritto in quale file devi andare a leggere per scoprir come stanno le cose) e torna a riferircelo. In questa maniera potremo riuscire ad esserti di qualche aiuto.

Ritratto di gian642
Offline
Last seen: 4 anni 7 mesi fa
Iscritto: 15/03/2008 - 18:49

messaggio di errore da Localization Manager:
Failure to install some language packages due to unmet dependencies (more details: /tmp/AL_install.log).

questo il file log:
Reading Package Lists...
Building Dependency Tree...
Some packages could not be installed. This may mean that you have
requested an impossible situation or that some of the repositories
in use are in an inconsistent state at the moment.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
firefox-it: Depends: firefox (= 16.0.1)
E: Broken packages

non ci sono pacchetti per firefox su synaptic che mi dice che tutto è aggiornato
nel caso come faccio a disinstallare firefox?

ciao

Ritratto di francesco bat
Offline
Last seen: 1 anno 11 mesi fa
Iscritto: 20/11/2011 - 02:46

Non è che per caso hai dei repository test abilitati ?
Oggi ho avuto per la prima volta la richiesta di aggiornamento di kdenlive dopo vari giorni di aggiornamenti non disponibili, mentre tu hai avuto la richiesta di kdenlive quando a nessuno era ancora disponibile.
Nel synaptic, in impostazioni/archivi dei pacchetti
accertati che hai selezionato solo il repository garr e nessun altro attivo (al massimo puoi avere megagames x i giochi).
Controlla bene tutta la lista fino in fondo perchè penso che è quello il tuo problema.
Ciao
Francesco bat

Ritratto di gian642
Offline
Last seen: 4 anni 7 mesi fa
Iscritto: 15/03/2008 - 18:49

ciao francesco,
no ho un solo repository abilitato e non uso più garr...che mi crashava ma http://ftp.sh.cvut.cz/MIRRORS/pclinuxos/apt/ che mi funziona bene

Ritratto di francesco bat
Offline
Last seen: 1 anno 11 mesi fa
Iscritto: 20/11/2011 - 02:46

gian642 wrote:
ciao francesco,
no ho un solo repository abilitato e non uso più garr...che mi crashava ma http://ftp.sh.cvut.cz/MIRRORS/pclinuxos/apt/ che mi funziona bene

Ma i repository sono della 64 bit ?
Alla fine tu hai installato la versione a 64 bit o a 32 bit ?
Ciao
Francesco bat

Ritratto di gian642
Offline
Last seen: 4 anni 7 mesi fa
Iscritto: 15/03/2008 - 18:49

bella domanda,ho installato la kde full monty 2012.09,ho fatto una installazione di default,credo sia la 32 bit...

Ritratto di wondy
Offline
Last seen: 4 anni 4 mesi fa
Iscritto: 02/11/2012 - 17:19

Per risolvere il problema devi disinstallare firefox, poi fare l'aggiornamento e reinstallare firefox alla nuova versione 16.0.2. Fatto questo puoi procedere con la localizzazione in lingua italiana. ciao

Ritratto di monsee
Offline
Last seen: 2 mesi 1 settimana fa
Moderatore
Iscritto: 16/09/2009 - 12:34

gian642 wrote:
bella domanda,ho installato la kde full monty 2012.09,ho fatto una installazione di default,credo sia la 32 bit...

Confermo: si tratta sicuramente della versione di PCLinuxOS a 32-bit.
E -del pari- confermo anche il suggerimento proposto da Wondy: disinstallando Firefox (normale disinstalalzione, da Synaptic), il tuo problema dovrebbe risolversi e la "localizzazione" in lingua italiana dovrebbe finalmente funzionarti.
Non ho gran tempo, oggi, per seguire la cosa, ma cerchèrò -se riesco- di rifare un breve salto qui, più tardi o nel primo pomeriggio.

Ritratto di gian642
Offline
Last seen: 4 anni 7 mesi fa
Iscritto: 15/03/2008 - 18:49

torno alla domanda di prima:come faccio a disinstallare firefox?
grazie a tutti ciao

Ritratto di francesco bat
Offline
Last seen: 1 anno 11 mesi fa
Iscritto: 20/11/2011 - 02:46

gian642 wrote:
torno alla domanda di prima:come faccio a disinstallare firefox?
grazie a tutti ciao

Per rimuovere Firefox devi andare nel synaptic e selezionarlo con il tasto destro e scegli la rimozione completa.
Ciao
Francesco bat

Ritratto di wondy
Offline
Last seen: 4 anni 4 mesi fa
Iscritto: 02/11/2012 - 17:19

per disinstallare firefox entri in synaptic vai alla ricerca di firefox e clicchi sul quadratino sulla sinistra che se è installato sarà verde, selezioni rimozione completa e poi vai sopra e clicchi applica, fatto ciò clicchi ricarica per l'aggiornamento e torni a installare firefox che ritroverai alla nuova versione 16.0.2, esci da synaptic vai su localization mamager e fai la localizzazione in lingua italiana..

Ritratto di wondy
Offline
Last seen: 4 anni 4 mesi fa
Iscritto: 02/11/2012 - 17:19

questa procedura di disinstallazione e reinstallazione dei programmi oltre che per firefox la devi fare per tutti i programmi che trovi segnalati sul file (AL_install.log) che sono i programmi che ti avverte che non sono installati all'ultima versione, dopo aver aggiornato tutto ed installato tutti i programmi all'ultima versione riuscirai a fare la localizzazione nella lingua italiana. buon aggiornamento..

Ritratto di gian642
Offline
Last seen: 4 anni 7 mesi fa
Iscritto: 15/03/2008 - 18:49

ora è in italiano funzionante!!!!!!!!!!!!
ho disinstallato e reinstallato firefox,lanciato localization manager ed è andato tutto alla perfezione

davvero un grazie mille a tutti

per lo scanner devo aprire un post nella sez hardware?

Ritratto di wondy
Offline
Last seen: 4 anni 4 mesi fa
Iscritto: 02/11/2012 - 17:19

Bene, si apri pure un nuovo post...

Ritratto di monsee
Offline
Last seen: 2 mesi 1 settimana fa
Moderatore
Iscritto: 16/09/2009 - 12:34

gian642 wrote:
per lo scanner devo aprire un post nella sez hardware?

In teoria, sì. Prima, però, verifica se il pacchetto denominato:
task-printing-scanning
è installato. Se non lo fosse, procesi ad installarlo, poi riavvia il PC e vedi se lo scanner può esser gestito.

Ritratto di gian642
Offline
Last seen: 4 anni 7 mesi fa
Iscritto: 15/03/2008 - 18:49

monsee wrote:
gian642 wrote:
per lo scanner devo aprire un post nella sez hardware?

In teoria, sì. Prima, però, verifica se il pacchetto denominato:
task-printing-scanning
è installato. Se non lo fosse, procesi ad installarlo, poi riavvia il PC e vedi se lo scanner può esser gestito.

si è già installato,ma non vede lo scanner, apro un post sulla sez hardware.

Qui ho risolto,non so se serve segnalarlo,ringrazio ancora tutti gian